# octavia.statistics package

## Subpackages

- octavia.statistics.drivers package
  - Submodules
  - octavia.statistics.drivers.logger module
    - `StatsLogger`
      - `StatsLogger.update_stats()`
  - octavia.statistics.drivers.update_db module
    - `StatsUpdateDb`
      - `StatsUpdateDb.update_stats()`
  - Module contents

## Submodules

## octavia.statistics.stats_base module

class StatsDriverMixin

  Bases: `object`

  abstractmethod update_stats(listener_stats, deltas=False)

    Return a stats object formatted for a generic backend

    Parameters:

      - listener_stats (list) – A list of data_model.ListenerStatistics objects

      - deltas (bool) – Indicates whether the stats are deltas (false==absolute)

update_stats_via_driver(listener_stats, deltas=False)

  Send listener stats to the enabled stats driver(s)

  Parameters:

    - listener_stats (list) – A list of ListenerStatistics objects

    - deltas (bool) – Indicates whether the stats are deltas (false==absolute)

## Module contents

this page last updated: 2026-04-13 15:26:39

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug